<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A property in the syntax tree with a getter  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a34d1e710ada907df2d7fdb468ae97046"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a34d1e710ada907df2d7fdb468ae97046">GetableProperty</a> ()</td></tr>
<tr class="separator:a34d1e710ada907df2d7fdb468ae97046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacaaac2d975e2db4f540f5ce64f9d741"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aacaaac2d975e2db4f540f5ce64f9d741">GetableProperty</a> (string name, string type, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a> getter=default)</td></tr>
<tr class="separator:aacaaac2d975e2db4f540f5ce64f9d741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09c4cd829cd420edae46c748fd2e7eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#af09c4cd829cd420edae46c748fd2e7eb">WithName</a> (string name)</td></tr>
<tr class="separator:af09c4cd829cd420edae46c748fd2e7eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf4a479aeacb4a0199e67f671873a330"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aaf4a479aeacb4a0199e67f671873a330">WithType</a> (string type)</td></tr>
<tr class="separator:aaf4a479aeacb4a0199e67f671873a330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35dd2d66938b4064b5b31d10ad07b9ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a35dd2d66938b4064b5b31d10ad07b9ab">AddModifier</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> modifier)</td></tr>
<tr class="separator:a35dd2d66938b4064b5b31d10ad07b9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eb6b778ee124a6f891975b15c640159"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0eb6b778ee124a6f891975b15c640159">AddModifiers</a> (params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[] modifiers)</td></tr>
<tr class="separator:a0eb6b778ee124a6f891975b15c640159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d21f19675fb8c4ac379ce275a20498"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a91d21f19675fb8c4ac379ce275a20498">AddModifiers</a> (IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; modifiers)</td></tr>
<tr class="separator:a91d21f19675fb8c4ac379ce275a20498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4bd571ddf26a2ec7a4f897978a33514"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#ab4bd571ddf26a2ec7a4f897978a33514">WithGetter</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a> getter)</td></tr>
<tr class="separator:ab4bd571ddf26a2ec7a4f897978a33514"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a0e2f387f7e9d94043362735d4cf8acd4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0e2f387f7e9d94043362735d4cf8acd4">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a0e2f387f7e9d94043362735d4cf8acd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0e2f387f7e9d94043362735d4cf8acd4">More...</a><br /></td></tr>
<tr class="separator:a0e2f387f7e9d94043362735d4cf8acd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445ab616546213fc9f43688e6d3f2be1"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a445ab616546213fc9f43688e6d3f2be1">Type</a><code> [get]</code></td></tr>
<tr class="memdesc:a445ab616546213fc9f43688e6d3f2be1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a445ab616546213fc9f43688e6d3f2be1">More...</a><br /></td></tr>
<tr class="separator:a445ab616546213fc9f43688e6d3f2be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf3e026f13f355eb0b7792517d75fef5"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#abf3e026f13f355eb0b7792517d75fef5">Modifiers</a><code> [get]</code></td></tr>
<tr class="memdesc:abf3e026f13f355eb0b7792517d75fef5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#abf3e026f13f355eb0b7792517d75fef5">More...</a><br /></td></tr>
<tr class="separator:abf3e026f13f355eb0b7792517d75fef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba09863953ff7b84effd03e755b129e8"><td class="memItemLeft" align="right" valign="top">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aba09863953ff7b84effd03e755b129e8">Getter</a><code> [get]</code></td></tr>
<tr class="memdesc:aba09863953ff7b84effd03e755b129e8"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html" title="A getter in the syntax tree">Getter</a> of the property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aba09863953ff7b84effd03e755b129e8">More...</a><br /></td></tr>
<tr class="separator:aba09863953ff7b84effd03e755b129e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A property in the syntax tree with a getter </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a34d1e710ada907df2d7fdb468ae97046" name="a34d1e710ada907df2d7fdb468ae97046"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34d1e710ada907df2d7fdb468ae97046">&#9670;&nbsp;</a></span>GetableProperty() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.GetableProperty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aacaaac2d975e2db4f540f5ce64f9d741" name="aacaaac2d975e2db4f540f5ce64f9d741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacaaac2d975e2db4f540f5ce64f9d741">&#9670;&nbsp;</a></span>GetableProperty() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.GetableProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a>&#160;</td>
          <td class="paramname"><em>getter</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a35dd2d66938b4064b5b31d10ad07b9ab" name="a35dd2d66938b4064b5b31d10ad07b9ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35dd2d66938b4064b5b31d10ad07b9ab">&#9670;&nbsp;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&#160;</td>
          <td class="paramname"><em>modifier</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91d21f19675fb8c4ac379ce275a20498" name="a91d21f19675fb8c4ac379ce275a20498"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d21f19675fb8c4ac379ce275a20498">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td>
          <td class="paramname"><em>modifiers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0eb6b778ee124a6f891975b15c640159" name="a0eb6b778ee124a6f891975b15c640159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eb6b778ee124a6f891975b15c640159">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[]&#160;</td>
          <td class="paramname"><em>modifiers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4bd571ddf26a2ec7a4f897978a33514" name="ab4bd571ddf26a2ec7a4f897978a33514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4bd571ddf26a2ec7a4f897978a33514">&#9670;&nbsp;</a></span>WithGetter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.WithGetter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a>&#160;</td>
          <td class="paramname"><em>getter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af09c4cd829cd420edae46c748fd2e7eb" name="af09c4cd829cd420edae46c748fd2e7eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af09c4cd829cd420edae46c748fd2e7eb">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf4a479aeacb4a0199e67f671873a330" name="aaf4a479aeacb4a0199e67f671873a330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf4a479aeacb4a0199e67f671873a330">&#9670;&nbsp;</a></span>WithType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.WithType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="aba09863953ff7b84effd03e755b129e8" name="aba09863953ff7b84effd03e755b129e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba09863953ff7b84effd03e755b129e8">&#9670;&nbsp;</a></span>Getter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a> xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.Getter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html" title="A getter in the syntax tree">Getter</a> of the property </p>

</div>
</div>
<a id="abf3e026f13f355eb0b7792517d75fef5" name="abf3e026f13f355eb0b7792517d75fef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf3e026f13f355eb0b7792517d75fef5">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access modifiers of the property </p>

</div>
</div>
<a id="a0e2f387f7e9d94043362735d4cf8acd4" name="a0e2f387f7e9d94043362735d4cf8acd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e2f387f7e9d94043362735d4cf8acd4">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the property </p>

</div>
</div>
<a id="a445ab616546213fc9f43688e6d3f2be1" name="a445ab616546213fc9f43688e6d3f2be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445ab616546213fc9f43688e6d3f2be1">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty.Type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Type of the property </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_getable_property_8cs.html">GetableProperty.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
